<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">

<HTML>
	<TITLE>Catalog</TITLE>
	<BODY>
		<xsl:apply-templates select="//Book"/>
	</BODY>
</HTML>
</xsl:template>

<xsl:template match="*" priority="1">
	<I>TopGuy <xsl:value-of select="."/> </I> <p/>
</xsl:template>

<xsl:template match="*/*" priority="2">
	<I>MiddleOne <xsl:value-of select="."/> </I> <p/>
</xsl:template>

<xsl:template match="*/*/*" priority="5">
	<I>BottomOne <xsl:value-of select="."/> </I> <p/>
</xsl:template>

</xsl:stylesheet>
