<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">

<HTML>
	<TITLE>Catalog</TITLE>
	<BODY>
		<TABLE BORDER="2">
		
		<TR>
			<TH>Title</TH>
			<TH>ISBN</TH>
			<TH>Authors</TH>
		</TR>
		<xsl:for-each select="//Book">
			<TR>
				<TD> <xsl:value-of select="Title"/> </TD>
				<TD><xsl:value-of select="ISBN"/> </TD>
				<xsl:apply-templates select="Authors"/>
			</TR>
		</xsl:for-each>

		</TABLE>
	</BODY>
</HTML>
</xsl:template>

<xsl:template match="Authors">
	<TD>
	<TABLE>
		<!-- We could have used the for-each here as well, want to show a different approach -->
		<xsl:apply-templates select="Author"/>
	</TABLE>
	</TD>
</xsl:template>

<xsl:template match="Author">
	<TR>
		<TD> <xsl:value-of select="."/> </TD>
	</TR>
</xsl:template>

</xsl:stylesheet>
