import javax.servlet.*;
import javax.servlet.http.*;
import java.net.URL;
import java.io.*;

public class transform extends HttpServlet
{
	public void doGet(HttpServletRequest request,
		HttpServletResponse response)
			throws ServletException, IOException
	{
		PrintWriter out = response.getWriter();

		try
		{
			// Assumes catalog.xml and catalog.xsl are in the
			// Web application's data directory.

			String path = getServletContext().getRealPath("") + "/data/";

			javax.xml.transform.Source xmlSource = 
				new javax.xml.transform.stream.StreamSource(
					new URL("file", "", path + "catalog.xml").openStream());

			javax.xml.transform.Source xslSource = 
				new javax.xml.transform.stream.StreamSource(
					new URL("file", "", path + "catalog.xsl").openStream());

			javax.xml.transform.TransformerFactory factory = 
				javax.xml.transform.TransformerFactory.newInstance();

			javax.xml.transform.Transformer transformer = 
				factory.newTransformer(xslSource);

			transformer.transform(xmlSource, 
				new javax.xml.transform.stream.StreamResult(out));

			out.println(path);
		}
		catch(Exception ex)
		{
			out.write(ex.getMessage());
			ex.printStackTrace(out);
		}
		finally
		{
			out.close();
		}
	}
}